<template>
  <div style="width: 100%;height: 100%;overflow: auto;">
    <div id="navs">
      <el-button icon="el-icon-arrow-left" @click="goHome">返回</el-button>
<!--      <div>{{ name1 }}</div>-->
      <el-button icon="el-icon-upload el-icon--right" @click="submit">提交</el-button>
    </div>
    <el-tabs type="border-card" style="margin-top: 10px!important;" v-model="activeName" @tab-click="handleClick"
             :stretch="true">
      <el-tab-pane label="调查询问笔录" name="first">
        <BiLu v-if="activeName == 'first'"></BiLu>
      </el-tab-pane>
      <el-tab-pane label="责令限期改正通知书" name="second">
        <GaiZheng v-if="activeName == 'second'"></GaiZheng>
      </el-tab-pane>
      <el-tab-pane label="处罚决定书" name="third">
        <JueDingShu v-if="activeName == 'third'"></JueDingShu>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import {submitcase} from '../../api/News/pad'
import BiLu from './word_mange/mangeBL'
import GaiZheng from './word_mange/mangeGZ'
import JueDingShu from './word_mange/mangeJD'

export default {
  name: "padWord",
  components: {
    BiLu,
    GaiZheng,
    JueDingShu,
  },
  data() {
    return {
      form:{
        id:this.id,
      },
      name1: "",
      activeName: 'first'
    }
  },
  created() {
    if (this.$route.query) {
      this.$nextTick(() => {
        this.name1 = this.$route.query.name
      })
    }
  },
  methods: {
    goHome() {
      this.$router.push({
        path: '/pad',
      })
    },
    submit() {
      submitcase(this.form).then(res => {
        this.goHome()
      })
    },
    /*goToBL() {
      this.$router.push({
        path: '/padWord',
        query: {
          id: row.id,
        }
      })
    },*/
    handleClick(tab, event) {
      console.log(tab, event);
      this.activeName = tab.name
    }
  }
}
</script>

<style lang="scss">
.el-tabs__content {
  height: calc(100vh - 110px);
  overflow-y: auto;
}

#navs {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

#box {
  width: 80%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
}
</style>
